@import url('https://fonts.googleapis.com/css2?family=Roboto+Slab:wght@100;200;300;400;500;600;700;800;900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Roboto Slab', serif;
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #f2f9f2;
    
}
.switch{
    position: fixed;
    top: 20px;
    right: 20px;
}
.label {
    display: inline-flex;
    align-items: center;
    cursor: pointer;
    color: #394a56;
  }
  
  .label-text {
    margin-left: 16px;
  }
  
  .toggle {
    isolation: isolate;
    position: relative;
    height: 30px;
    width: 60px;
    border-radius: 15px;
    overflow: hidden;
    box-shadow: -8px -4px 8px 0px #ffffff,
      8px 4px 12px 0px #d1d9e6,
      4px 4px 4px 0px #d1d9e6 inset,
      -4px -4px 4px 0px #ffffff inset;
  }
  
  .toggle-state {
    display: none;
  }
  
  .indicator {
    height: 100%;
    width: 200%;
    background: #f57746 ;
    border-radius: 15px;
    transform: translate3d(-75%, 0, 0);
    transition: transform 0.4s cubic-bezier(0.85, 0.05, 0.18, 1.35);
    box-shadow: -8px -4px 8px 0px #ffffff,
      8px 4px 12px 0px #d1d9e6;
  }
  
  .toggle-state:checked ~ .indicator {
    transform: translate3d(25%, 0, 0);
    background: #0f0f0f;
    box-shadow: -8px -4px 8px 0px #046561, 8px 4px 12px 0px #046561;
  }
.container {
    width: 350px;
    padding: 20px;
    border-radius: 20px;
    box-shadow: 15px 15px 20px #0000001a, -15px -15px 20px #fffb;
    border: 2px solid lightcoral;
    background-color: #eeecec;
}

.keys {
    display: grid;
}

.value {
    grid-column: span 4;
    width: 100%;
    text-align: end;
    color: #5166d6;
    height: 70px;
    line-height: 70px;
    box-shadow: inset 5px 5px 10px #0000001a,
        inset -5px -5px 26px #fff;
    border-radius: 10px;
    margin-bottom: 12px;
    padding: 0 18px;
    font-size: 2em;
    font-weight: 500;
    border: 2px solid #b4beb4;
    /* overflow: scroll; */
}

.container .keys span {
    padding: 10px;
    box-shadow: inset 5px 5px 10px #0000001a,
        inset -5px -5px 20px #fff;
    margin: 10px;
    cursor: pointer;
    user-select: none;
    min-width: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2em;
    color: #474646;
    border: 2px solid #edf1f4;
    box-shadow: 5px 5px 10px #0000001a,
        -5px -5px 10px #fff;
    border-radius: 10px;
}

.container .keys span:active {
    box-shadow: inset 5px 5px 10px #0000001a,
        inset -5px -5px 10px #fff;
    color: #a10c40;
}

.container .keys span#clear {
    grid-column: span 2;
    background: lightcoral;
    color: #fff;
    border: 2px solid #edf1f4;
    
}

.container .keys span#plus {
    grid-row: span 2;
    background: #b4beb4;
    color: #474646;
    border: 2px solid #edf1f4;
}

.container .keys span#equal {
    grid-row: span 2;
    background: #9daab6;
    color: #474646;
    border: 2px solid #edf1f4;
}
.container .keys span#equal:active {
    box-shadow: inset 5px 5px 10px #0000001a,
        inset -5px -5px 10px #b4beb4;
}

.container .keys span#clear:active{
    box-shadow: inset 5px 5px 10px #0000001a,
        inset -5px -5px 10px lightcoral;
}


.container .keys span#plus:active{
    box-shadow: inset 5px 5px 10px #0000001a,
        inset -5px -5px 10px #b4beb4;
}







/* Night */

.container-dark{
    background-color: #3b3a3a;
    border: 2px solid #02515c;
    box-shadow: 0px 0px 20px #f4f1f171;
}

.container-dark .keys span{
    color: aliceblue;
}
.container-dark .keys .value{
    color: #23fff0;
    box-shadow: inset 5px 5px 5px #0000001a, inset -2px -2px 12px #046561;
}
.container-dark .keys span#clear{
        box-shadow: 5px 5px 10px #0000001a, -2px -2px 10px #046561;
}
.container-dark .keys span{
    box-shadow: 5px 5px 10px #0000001a, -2px -2px 10px #046561;
}

.toggle-night{
    box-shadow: -8px -4px 8px 0px #046561, 8px 4px 12px 0px #046561, 4px 4px 4px 0px #046561 inset, -4px -4px 4px 0px #046561 inset;
}
